For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesIntegrationsAPI ReferencesRelease notes
GuidesIntegrationsAPI ReferencesRelease notes
    • APIs overview
  • Upload API
    • Errors
  • REST API
    • Authentication
    • File Metadata
    • Add Ons
      • POSTExecute AWS Rekognition
      • GETCheck AWS Rekognition execution status
      • POSTExecute AWS Rekognition Moderation
      • GETCheck AWS Rekognition Moderation execution status
      • POSTExecute ClamAV
      • GETCheck ClamAV execution status
      • POSTExecute Remove.bg
      • GETCheck Remove.bg execution status
    • Changelog
    • Versioning
  • URL API
    • File Information
    • File Names
    • File groups
    • Image processing limitations
    • Image compression
    • Image resize and crop
    • Image rotation
    • Image overlays
    • Image colors
    • Image definition
    • Image recognition
    • Other image operations
    • Proxy
    • Signed URLs
    • CDN settings
    • Integrations
Dashboard
LogoLogo
REST APIAdd Ons

Check Remove.bg execution status

GET
https://api.uploadcare.com/addons/remove_bg/execute/status/
GET
/addons/remove_bg/execute/status/
$curl -G https://api.uploadcare.com/addons/remove_bg/execute/status/ \
> -H "Accept: application/vnd.uploadcare-v0.7+json" \
> -H "Authorization: <apiKey>" \
> -d request_id=request_id
1{
2 "status": "done",
3 "result": {
4 "file_id": "21975c81-7f57-4c7a-aef9-acfe28779f78"
5 }
6}

Check the status of an Add-On execution request that had been started using the Execute Add-On operation.

Was this page helpful?
Previous

Project info

Next
Built with

Authentication

Authorizationstring

Every request made to https://api.uploadcare.com/ MUST be signed. HTTPS SHOULD be used with any authorization scheme.

Requests MUST contain the Authorization header defining auth-scheme and auth-param: Authorization: auth-scheme auth-param.

Every request MUST contain the Accept header identifying the REST API version: Accept: application/vnd.uploadcare-v0.7+json.

There are two available authorization schemes:

  • For production: Uploadcare, a scheme where a signature, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend.
  • For quick tests: Uploadcare.Simple, a simple scheme where your Secret API Key MUST be specified in every request’s auth-param.

Headers

AcceptstringRequired
Version header.

Query parameters

request_idstringRequiredformat: "uuid"

Request ID returned by the Add-On execution request described above.

Response

Add-On execution response. See file_id in response in order to get image without background.

statusenum

Defines the status of an Add-On execution. In most cases, once the status changes to done, Application Data of the file that had been specified as a appdata, will contain the result of the execution.

Allowed values:
resultobject

Errors

400
Bad Request Error
401
Unauthorized Error
406
Not Acceptable Error